# Fare display

The Fare Display API returns all fares for the requested parameters, regardless of availability. This request does not require a preceding Search or AirPrice request. Fare displays are often useful for fare-driven travelers. To retrieve fare rules after a Fare Display response, use the Fare Rules API. GDS only; not supported for NDC.

Endpoint: POST /air/faredisplay/fares
Version: 11.36.0
Security: bearerAuth

## Header parameters:

  - `travelportPlusSessionIdentifier` (string)
    travelportPlusSessionIdentifier used to maintain an established agency session

  - `TraceId` (string)
    Identifier used to correlate Air API invocations across a multi-call business flows.

  - `XAUTH_TRAVELPORT_ACCESSGROUP` (string)
    Identifies the Travelport access group with which the caller is associated

  - `TVP-PCC-Core` (string)
    Allows user to pass PCC instead of Access Group ID

## Request fields (application/json):

  - `from` (object)
    Origin Destination Information

  - `from.value` (string)
    The IATA airport or city code for the departure or arrival airport/city for this leg.
    Example: MEX

  - `from.cityOrAirport` (string)
    Optional enumeration specifying whether to restrict the search based on the city/airport code sent in From/value.
Possible options and behavior are as follows. These behaviors are for availability selection only. Actual content may vary based on calculated price and diversity. Not all NDC carriers may support all options.
- Airport code with no cityOrAirport value: expands the availability selection to the city while giving preference to the requested airport.
  - For example, LGA would return flights for LGA, EWR, and JFK but would target more content from LGA.
- City code with no cityOrAirport value: returns an unweighted selection of inventory for all airports in the city.
  - For example, NYC would search content equally between LGA, EWR, and JFK.
  - This behavior also applies to:
    - City code with Airport Only
      - Note: For NDC, do not use the Airport Only value, as any flight segment that does not match the search criteria are removed.
    - City code with City Only
    - City or Airport code with City or Airport.
      - Note: Use this value when sending metro codes, such as PAR, LON, and NYC.
- Airport code with cityOrAirport value Airport Only: returns content only from the specified airport.
  - For example, LGA will return content from only LGA.
- Airport code with cityOrAirport value City: expands the availability selection to the city without giving preference to the requested airport.
  - For example, LGA would instead be treated as NYC and would return flights for LGA, EWR, and JFK with no preference.
  - This behavior is equivalent to searching by the airport city code.
    Enum: "Airport Only", "City or Airport", "City Only", "Use Default"

  - `from.radius` (integer)
    Available for flex search only. Return offers from airports within a specified distance from the origin and/or destination.
    Example: 50

  - `from.radiusMeasurement` (string)
    For Hotels: Optional object to request either miles or kilometers for the search radius from the specified location. If unitOfDistance is not specified, the search defaults to miles for properties in the United States, Myanmar, and Liberia. The search defaults to kilometers in all other countries.
    Enum: "Miles", "Kilometers"

  - `departureDate` (string)
    Date of departure in YYYY-MM-DD format

  - `returnDate` (string)
    Date of return in YYYY-MM-DD FormOfPayment

  - `carrier` (array)
    Up to three IATA carrier codes to request the fares for.
    Example: BA

  - `passengerTypeCodes` (array)
    The passenger type codes requested for the fare display.
    Example: ["ADT","CHD"]

  - `fareDisplayModifiers` (object)
    Use to request fare display with a specific fare basis code.

  - `fareDisplayModifiers.oneWayFaresOnlyInd` (boolean)
    if true, one way fares only will be returned
    Example: true

  - `fareDisplayModifiers.roundTripFareOnlyInd` (boolean)
    if true, return fares only will be returned
    Example: true

  - `fareDisplayModifiers.longDisplayInd` (boolean)
    if true, long fare display will be returned
    Example: true

  - `fareDisplayModifiers.baseFaresOnlyInd` (boolean)
    if true, base fares, excluding tax and surcharges will be returned

  - `fareDisplayModifiers.includeDomesticTaxInd` (boolean)
    if true, domestic tax will be includes in fare display
    Example: true

  - `fareDisplayModifiers.includeSurcharges` (boolean)
    if true, surcharges will be applied and returned in the fare display
    Example: true

  - `fareDisplayModifiers.includeEstimatedTax` (boolean)
    if true, surcharges will be applied and returned in the fare display
    Example: true

  - `fareDisplayModifiers.fareBasisCode` (string)
    Fare basis code
    Example: YEE1Y

  - `fareDisplayModifiers.globalIndicator` (string)
    The preferred IATA global indicator of the fare. Example EH, EasternHemisphere
    Example: EH

  - `fareDisplayModifiers.currencyOverride` (string)
    the preferred currency when different to PCC currency
    Example: EUR

  - `fareDisplayModifiers.requestedCabin` (string)
    Specifies the cabin type.  
If sent for Flight Specific Search, this field is ignored.  
Many carriers use Business and First as the same cabin. If the request is for Business and only First is available, the response returns only First and returns a message that the cabin class may differ from the class requested.  
Some carriers do not support lowFareFinderInd with Premium First cabin class.
    Enum: "PremiumFirst", "First", "Business", "PremiumEconomy", "Economy"

  - `fareDisplayModifiers.fareType` (string)
    Indicates the type of fare that applies to this Offer/Offering.  
NetFare is not supported for NDC.
    Enum: "PublicFare", "AgencyPrivateFare", "AirlinePrivateFare", "NetFare"

## Response 200 fields (application/json):

  - `FareDisplayResponse` (object)
    The response of a Fare Display endpoint request.

  - `FareDisplayResponse.fareDisplay` (object)
    Top level object. Includes faresLastUpdated, to, from, departureDate, comment, fareType, listCurrency, and fare.

  - `FareDisplayResponse.fareDisplay.faresLastUpdated` (string, required)
    Date of last update from ATPCO.

  - `FareDisplayResponse.fareDisplay.requestedCarriers` (array)
    Returned when specific carriers are requested for the Fare Display.
    Example: BA

  - `FareDisplayResponse.fareDisplay.from` (object, required)
    Origin Destination Information

  - `FareDisplayResponse.fareDisplay.from.value` (string)
    The IATA airport or city code for the departure or arrival airport/city for this leg.
    Example: MEX

  - `FareDisplayResponse.fareDisplay.from.cityOrAirport` (string)
    Optional enumeration specifying whether to restrict the search based on the city/airport code sent in From/value.
Possible options and behavior are as follows. These behaviors are for availability selection only. Actual content may vary based on calculated price and diversity. Not all NDC carriers may support all options.
- Airport code with no cityOrAirport value: expands the availability selection to the city while giving preference to the requested airport.
  - For example, LGA would return flights for LGA, EWR, and JFK but would target more content from LGA.
- City code with no cityOrAirport value: returns an unweighted selection of inventory for all airports in the city.
  - For example, NYC would search content equally between LGA, EWR, and JFK.
  - This behavior also applies to:
    - City code with Airport Only
      - Note: For NDC, do not use the Airport Only value, as any flight segment that does not match the search criteria are removed.
    - City code with City Only
    - City or Airport code with City or Airport.
      - Note: Use this value when sending metro codes, such as PAR, LON, and NYC.
- Airport code with cityOrAirport value Airport Only: returns content only from the specified airport.
  - For example, LGA will return content from only LGA.
- Airport code with cityOrAirport value City: expands the availability selection to the city without giving preference to the requested airport.
  - For example, LGA would instead be treated as NYC and would return flights for LGA, EWR, and JFK with no preference.
  - This behavior is equivalent to searching by the airport city code.
    Enum: "Airport Only", "City or Airport", "City Only", "Use Default"

  - `FareDisplayResponse.fareDisplay.from.radius` (integer)
    Available for flex search only. Return offers from airports within a specified distance from the origin and/or destination.
    Example: 50

  - `FareDisplayResponse.fareDisplay.from.radiusMeasurement` (string)
    For Hotels: Optional object to request either miles or kilometers for the search radius from the specified location. If unitOfDistance is not specified, the search defaults to miles for properties in the United States, Myanmar, and Liberia. The search defaults to kilometers in all other countries.
    Enum: "Miles", "Kilometers"

  - `FareDisplayResponse.fareDisplay.departureDate` (string)
    The departure date applicable to the fares displayed.

  - `FareDisplayResponse.fareDisplay.returnDate` (string)
    The return date applicable to the fares displayed.

  - `FareDisplayResponse.fareDisplay.comment` (array)
    The text of the fare rule. Comments about all the fares returned in the fare display.
    Example: SEASONALITY/PROHIBITED TRAVEL DATES/DAY-OF-WEEK VALIDATED

  - `FareDisplayResponse.fareDisplay.fareType` (array)
    Indicates the fare type. Possible values are AirlinePrivateFare, AgencyPrivateFare, PublicFares, or NetFare.

  - `FareDisplayResponse.fareDisplay.listCurrency` (string)
    The currency code for the currency fares are returned in.
    Example: EUR

  - `FareDisplayResponse.fareDisplay.alternateCurrencyFares` (array)
    Fares in alternate currencies exist for this fare display.

  - `FareDisplayResponse.fareDisplay.unsaleableFaresExistInd` (boolean)
    If true, unsaleable fares may exist.

  - `FareDisplayResponse.fareDisplay.fare` (array)

  - `FareDisplayResponse.fareDisplay.fare.id` (string, required)
    ID used to uniquely identify this fare within the fareDisplay response. Used in follow up Fare Rule request.
    Example: fare_display_01

  - `FareDisplayResponse.fareDisplay.fare.sequence` (integer, required)
    The display sequence of the fare.
    Example: 1

  - `FareDisplayResponse.fareDisplay.fare.carrier` (string, required)
    The plating carrier for this fare.
    Example: BA

  - `FareDisplayResponse.fareDisplay.fare.amount` (number)
    Base fare amount excluding airport taxes and surcharges.
    Example: 500.5

  - `FareDisplayResponse.fareDisplay.fare.roundTripInd` (boolean)
    If true this fare is a round trip fare.
    Example: true

  - `FareDisplayResponse.fareDisplay.fare.oneWayInd` (boolean)
    If true, this fare is a one way fare.
    Example: true

  - `FareDisplayResponse.fareDisplay.fare.fareBasisCode` (string)
    The fare basis code of the fare.
    Example: YEE1Y

  - `FareDisplayResponse.fareDisplay.fare.bookingClass` (string)
    Class of service for this fare; fare must be booked with this booking code to get this fare.
    Example: Y

  - `FareDisplayResponse.fareDisplay.fare.advanceReservationRulesApply` (boolean)
    If true, indicates fare has additional advance reservation rules not returned in this response.

  - `FareDisplayResponse.fareDisplay.fare.AdvanceReservationPeriod` (object)

  - `FareDisplayResponse.fareDisplay.fare.AdvanceReservationPeriod.period` (integer)
    Number of units in advance of departure fare must be reserved.

  - `FareDisplayResponse.fareDisplay.fare.AdvanceReservationPeriod.Unit` (string)
    Time units such as Hour, Day, Week
    Enum: "Hour", "Day", "Week", "Month"

  - `FareDisplayResponse.fareDisplay.fare.minimumStayOptions` (object)
    A minimum or maximum stay applies to this fare. May be expressed as a day of week “SU” or a number of days “6” or a number of months “12M”. If field is not returned, no minimum stay applies.

  - `FareDisplayResponse.fareDisplay.fare.minimumStayOptions.type` (string)
    Example: StayDayOfWeek

  - `FareDisplayResponse.fareDisplay.fare.seasons` (array)

  - `FareDisplayResponse.fareDisplay.fare.seasons.validFrom` (string)

  - `FareDisplayResponse.fareDisplay.fare.seasons.validTo` (string)

  - `FareDisplayResponse.fareDisplay.fare.mileageBasedInd` (boolean)
    If true, this is a mileage based fare.
    Example: true

  - `FareDisplayResponse.fareDisplay.fare.routingBasedInd` (boolean)
    If true, this is a routing based fare.
    Example: true

  - `FareDisplayResponse.fareDisplay.fare.globalIndicator` (string)
    The itinerary must fall under this global indicator to be valid for this fare.
    Example: EH

  - `FareDisplayResponse.fareDisplay.fare.timeOfDayRestrictionsExistInd` (boolean)
    If true, theres a restriction on time of day.
    Example: true

  - `FareDisplayResponse.fareDisplay.fare.dayOfWeekRestrictionsExistInd` (boolean)
    If true, theres a restriction on day of week.
    Example: true

  - `FareDisplayResponse.fareDisplay.fare.additionalFaresExistInd` (boolean)
    If true, more fares exist. Use fare modifiers to retrieve additional fares.
    Example: true

  - `FareDisplayResponse.fareDisplay.fare.firstTicketingDate` (string)
    Returned to indicate first date a ticket can be issued for fare in YYYY-MM-DD format.

  - `FareDisplayResponse.fareDisplay.fare.lastTicketingDate` (string)
    Returned to indicate last date a ticket can be issued for fare in YYYY-MM-DD format.

  - `FareDisplayResponse.fareDisplay.fare.penalty` (string)
    Example: The fare is non-refundable.

  - `FareDisplayResponse.fareDisplay.fare.privateFareInd` (boolean)
    If true, this is a private fare. This is only returned when private fare is returned in type 1 - International fare display format. Not returned for Type 2 - North American fare display format.

  - `FareDisplayResponse.@type` (string)
    Example: response

  - `FareDisplayResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `FareDisplayResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `FareDisplayResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `FareDisplayResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `FareDisplayResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.
See [Error Messaging](https://developer.travelport.com/docs/flights/general/error-messaging) for additional details.

  - `FareDisplayResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `FareDisplayResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `FareDisplayResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `FareDisplayResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `FareDisplayResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `FareDisplayResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `FareDisplayResponse.Result.Error.NameValuePair` (array)

  - `FareDisplayResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `FareDisplayResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `FareDisplayResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `FareDisplayResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `FareDisplayResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `FareDisplayResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `FareDisplayResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `FareDisplayResponse.Result.Warning.NameValuePair` (array)

  - `FareDisplayResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `FareDisplayResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a workbench, this value is the system generated workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
- If not available, for Payment, any unique identifier can be sent.

For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `FareDisplayResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `FareDisplayResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `FareDisplayResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps
    Example: www.travelport.com

  - `FareDisplayResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `FareDisplayResponse.NextSteps.NextStep` (array, required)

  - `FareDisplayResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `FareDisplayResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `FareDisplayResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `FareDisplayResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `FareDisplayResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `FareDisplayResponse.ReferenceList` (array)

  - `FareDisplayResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `FareDisplayResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List
    Example: referenceList_001

  - `FareDisplayResponse.CurrencyRateConversion` (array)

  - `FareDisplayResponse.CurrencyRateConversion.@type` (string)

  - `FareDisplayResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `FareDisplayResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `FareDisplayResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `FareDisplayResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 2

  - `FareDisplayResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `FareDisplayResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `FareDisplayResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `FareDisplayResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `FareDisplayResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `FareDisplayResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `FareDisplayResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `FareDisplayResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `FareDisplayResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `FareDisplayResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `FareDisplayResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 400 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.
See [Error Messaging](https://developer.travelport.com/docs/flights/general/error-messaging) for additional details.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a workbench, this value is the system generated workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
- If not available, for Payment, any unique identifier can be sent.

For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps
    Example: www.travelport.com

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List
    Example: referenceList_001

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 2

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 401 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.
See [Error Messaging](https://developer.travelport.com/docs/flights/general/error-messaging) for additional details.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a workbench, this value is the system generated workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
- If not available, for Payment, any unique identifier can be sent.

For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps
    Example: www.travelport.com

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List
    Example: referenceList_001

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 2

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 402 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.
See [Error Messaging](https://developer.travelport.com/docs/flights/general/error-messaging) for additional details.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a workbench, this value is the system generated workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
- If not available, for Payment, any unique identifier can be sent.

For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps
    Example: www.travelport.com

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List
    Example: referenceList_001

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 2

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 403 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.
See [Error Messaging](https://developer.travelport.com/docs/flights/general/error-messaging) for additional details.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a workbench, this value is the system generated workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
- If not available, for Payment, any unique identifier can be sent.

For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps
    Example: www.travelport.com

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List
    Example: referenceList_001

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 2

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 404 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.
See [Error Messaging](https://developer.travelport.com/docs/flights/general/error-messaging) for additional details.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a workbench, this value is the system generated workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
- If not available, for Payment, any unique identifier can be sent.

For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps
    Example: www.travelport.com

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List
    Example: referenceList_001

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 2

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 500 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.
See [Error Messaging](https://developer.travelport.com/docs/flights/general/error-messaging) for additional details.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a workbench, this value is the system generated workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
- If not available, for Payment, any unique identifier can be sent.

For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps
    Example: www.travelport.com

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List
    Example: referenceList_001

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 2

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

